@media(min-width:1000px){
    .container-fluid {
        padding: 0px 80px 0px 80px !important;
        background:none;
    }
}
body{
           background:#f1f1f1 !important;
     }*/
      body {
    font-family: sans-serif !important;
    }
   
   /* 
    @font-face {
    font-family: 'Sofia Pro';
    src: url("https://agrosaw.com/assets/font/SofiaProRegular.ttf") format("truetype");
    font-style: normal;
}
 @font-face {
            font-family: "Sofia Pro";
            font-style: normal;
            font-weight: 400;
            src: url("https://agrosaw.com/assets/font/SofiaProRegular.ttf") format("truetype");
        }

        @font-face {
            font-family: "Sofia Pro";
            font-style: normal;
            font-weight: 500;
            src: url("https://agrosaw.com/assets/font/SofiaProLight.ttf") format("truetype");
        }

        @font-face {
            font-family: "Sofia Pro";
            font-style: normal;
            font-weight: 700;
            src: url("https://agrosaw.com/assets/font/SofiaProSemiBold.ttf") format("truetype");
        }
         .normal {
            font-family: 'Sofia Pro';
            font-weight: 400;
        }

        .medium {
            font-family: 'Sofia Pro';
            font-weight: 200;
        }

        .bold {
            font-family: 'Sofia Pro';
            font-weight: 700;
        }  */
        
/*******************************/

      .hidden{
          display:none;
      }
      ._do_er_xs p a{
          color:#fff !important;
          text-decoration:none !important;
          font-weight:800;
      }
@media(min-width:1000px){
    .inner-circle:hover .main-img {
  opacity: 0;
}

}
.inner-circle:hover .hover-img {
  opacity: 1;
}
.hover-img {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  transition: opacity 0.3s ease;
  border-radius: 50%;
}
@media(min-width:1000px){
    .mobile-07{
        display:none !important;
    }
     .mobile007{
        display:none !important;
    }
}
@media(max-width:1000px){
    .desktop-07{
        display:none !important;
    }
    .desktop007{
        display:none !important;
    }
    .inner-circle-container {
  position: relative; /* Ensure the container is positioned relative for absolute positioning of buttons */
  /* Existing styles */
}

.nav-buttons {
  position: absolute;
        bottom: 10px;
        left: 50%;
        top: 0rem;
        transform: translateX(60rem);
        display: flex;
        gap: 10px;
        flex-direction: column-reverse;
        justify-content: center;
        align-items: center;
}

.nav-button {
        background-color: transparent;
        border: none;
        color: white;
        padding: 20px;
        border-radius: 5px;
        cursor: pointer;
        font-size: 16px;
        transition: background-color 0.3s ease;
}
.next{
        rotate: -90deg;
}
.prev{
        rotate: 90deg;
}
.semi-circle-container .inner-circle-container .inner-circle:nth-of-type(3) {
    left: 80%;
    top: 33%;
}
.semi-circle-container .inner-circle-container .inner-circle:nth-of-type(4) {
    left: 100%;
    top: 50%;
}
.semi-circle-container .inner-circle-container .inner-circle:nth-of-type(5) {
    left: 86%;
    top: 68%;
}
.image-card {
    rotate: -90deg;
    position: absolute;
    top: -24rem;
    left: 15vh;
}
.page{
    height: auto;
}
.semicircle-infographic {
 padding:50px 0px;   
}
}
body > h1 {
    text-align: center;
}
body > h1 {
    margin: 20px;
    margin-bottom: 0px;
}
.page{
    background-image: url("../images/keydeff/untitled1.png");
    background-size: cover;
    background-color: #000;
}
.semicircle-infographic {
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease-in-out;
    rotate: 90deg;
    padding: 120px 100px;
}
.semicircle-infographic .center-circle {
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 320px;
    min-height: 320px;
    background-color: rgb(255 255 255 / 17%);
    border-radius: 50%;
    margin-right: -125px;
    z-index: 1;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
}
.semicircle-infographic .center-circle .content {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    flex-direction: column;
    width: 260px;
    height: 260px;
    border-radius: 50%;
    border: 1px solid #4C4C51;
    box-shadow: inset 0px 0px 30px #4C4C51;
    padding: 30px;
    rotate: 269.4deg;
    background:#fff;
    overflow:hidden !important;
}
.content img {
    transition: opacity 0.3s ease;
}
.content .original-text,
.content .hover-text {
    transition: opacity 0.3s ease;
    word-break: break-word;
}

.content .hover-text {
    opacity: 0;
    position: absolute;
    color: #000;
    font-size: 15px;
    padding: 0px 20px;
}
.hover-text h2{
    font-size:13px !important
}
.hover-text p{
    font-size:10px !important;
    font-weight:600;
    overflow:hidden !important;
}
.content:hover img {
    opacity: 0;
}
.content:hover .original-text {
    opacity: 0;
}
.content:hover .hover-text {
    opacity: 1;
    cursor: pointer
}
.semicircle-infographic .center-circle .content img{
    max-width:100%
}
.semicircle-infographic .center-circle .content h2 {
    margin-top: 0px;
    margin-bottom: 5px;
    font-size: 20px;
    color: #2DB187;
    font-weight:600;
}

@media (max-width: 767px) {
    .semicircle-infographic {
        transform: scale(0.9);
    }
}
@media (max-width: 480px) {
    .semicircle-infographic {
        transform: scale(0.6);
    }
    .page{
        overflow-x: hidden;
    }
}
.semi-circle-container {
    min-width: 350px;
    height: 1050px;
    padding:100px 0px;
    position: relative;
    transform: translate(-55rem, 0rem);
}
.semi-circle-container .semi-circle {
    width: 500px;
    height: 700px;
    border-radius: 50%;
    margin-left: -250px;
    position: relative;
    overflow: hidden;
}
.semi-circle-container .circle-section {
    position: absolute;
    width: 500px;
    height: 500px;
    border: 4px solid #fff;
}
.semi-circle-container .circle-section:nth-child(1) {
    left: 250px;
}
.semi-circle-container .circle-section:nth-child(2) {
    transform: rotate(39deg) translate(50%, -50%)
}
.semi-circle-container .circle-section:nth-child(3) {
    transform: rotate(0deg) translate(50%, -50%);
}
.semi-circle-container .circle-section:nth-child(4) {
    transform: rotate(0deg) translate(50%, -50%);
}
.semi-circle-container .circle-section:nth-child(5) {
    left: 250px;
}
.semi-circle-container .inner-circle-container {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0%;
}
.semi-circle-container .inner-circle-container .inner-circle {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 90px;
    height: 90px;
    background: #fff;
    border-radius: 50%;
    border: 5px solid;
    font-weight: bold;
    font-size: 3rem;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.5);
    transform: translate(-50%, -50%);
    transition: all 0.2s ease-in-out;
    cursor: pointer;
    border:none
}
.semi-circle-container .inner-circle-container .inner-circle img{
    max-width:100%;
    rotate:-90deg
}
.semi-circle-container .inner-circle-container .inner-circle11 {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 90px;
    height: 90px;
    background: #fff;
    border-radius: 50%;
    border: 5px solid;
    font-weight: bold;
    font-size: 3rem;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.5);
    transform: translate(-50%, -50%);
    transition: all 0.2s ease-in-out;
    cursor: pointer;
    border:none
}
.semi-circle-container .inner-circle-container .inner-circle11 img{
    max-width:100%;
    rotate:-90deg;
}
/* card1 */
.inner-circle11 {
    position: relative;
    width: 200px; 
    height: 200px;
}
.inner-circle11 img {
    width: 100%;
    height: auto;
    border-radius: 50%;
    z-index:1
}
.inner-circle {
    position: relative;
    width: 200px; 
    height: 200px;
}

.inner-circle img {
    width: 100%;
    height: auto;
    border-radius: 50%;
    z-index:1
}
.image-card {
    rotate: -90deg;
    position: absolute;
    top: -25rem;
    left: 15vh;
    font-size: 20px;
    width: 230px;
    height: 320px;
    background: #2DB187;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: opacity 0.3s ease;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    overflow: hidden;
    flex-direction: column;
    padding: 20px 10px;
    text-align:center;
}

.inner-circle11 .main-img {
    opacity: 1;
}

.inner-circle11 .hover-img {
    display: block;
    opacity:1;
}

.inner-circle11 .image-card {
    opacity: 1;
}


/* Hide the card if hovering directly over it */
.inner-circle11 .image-card:hover {
    opacity: 1;
}

@media(min-width:1000px){
    .inner-circle:hover .main-img {
    opacity: 0;
}

}
.inner-circle:hover .hover-img {
    display: block;
}

.inner-circle:hover .image-card {
    opacity: 1;
}


/* Hide the card if hovering directly over it */
.inner-circle .image-card:hover {
    opacity: 1;
}
.image-card4{
    top: -11.5rem !important;
    left: 12rem;
    text-align:center !important
}
.image-card5{
    left: 10vh !important;
    top: 20px !important;
    text-align:center !important;
}
.image-card6{
    /*left: 60px !important;*/
    /*top: -0rem !important;*/
    left: 90px !important;
    top: 3rem !important;
    text-align:center !important;
}
    .image-card7{
    left: 85px !important;
    top: 5vh !important;
    text-align:center !important;
    }
.image-card h2{
    font-size: 15px;
    margin-bottom: 0px;
    font-weight: 600;
}
.image-card p{
    font-size: 13px;
    font-weight:500;
    overflow:hidden !important;
}

.semi-circle-container .inner-circle-container .inner-circle:nth-of-type(1) {
    left: 5%;
    top: 14%;
}
.semi-circle-container .inner-circle-container .inner-circle:nth-of-type(2) {
    left: 37%;
    top: 22%;
}
.semi-circle-container .inner-circle-container .inner-circle:nth-of-type(3) {
    left: 70%;
    top: 33%;
}
.semi-circle-container .inner-circle-container .inner-circle:nth-of-type(4) {
    left: 90%;
    top: 50%;
}
.semi-circle-container .inner-circle-container .inner-circle:nth-of-type(5) {
    left: 76%;
    top: 66%;
}
.semi-circle-container .inner-circle-container .inner-circle:nth-of-type(6) {
    left: 38%;
    top: 77%;
} 
.semi-circle-container .inner-circle-container .inner-circle11:nth-of-type(7) {
    left: 5%;
    top: 87%;
}
.circle2{
    width: 0px;
    height: 180px;
    border: 3px solid #fff;
    transform: translate(-59vh, -160%);
}
.circle2::before {
    content: '';
    position: absolute;
    top: 23vh; 
    left: -5px; 
    width: 15px; 
    height: 15px; 
    background-color: #fff; 
    border-radius: 50%; 
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.5);
}
.circle3{
    border: 3px solid #fff;
    rotate: 22deg;
    width: 0px;
    height: 80px;
    transform: translate(-55vh, -10vh);
}
.circle3::before {
    content: '';
    position: absolute;
    top: 9.5vh;
    left: -9px;
    width: 15px;
    height: 15px;
    background-color: #fff;
    border-radius: 50%;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.5);
}
.circle4{
    border: 3px solid #fff;
    rotate: 45deg;
    width: 0px;
    height: 80px;
    transform: translate(-35vh, 11.5vh);
}
.circle4::before {
    content: '';
    position: absolute;
    top: 9.5vh;
    left: -9px;
    width: 15px;
    height: 15px;
    background-color: #fff;
    border-radius: 50%;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.5);
}
.circle5{
    border: 3px solid #fff;
    rotate: 90deg;
    width: 0px;
    height: 80px;
    transform: translate(0vh, 29vh);
}
.circle5::before {
    content: '';
    position: absolute;
    top: 9.5vh;
    left: -7px; 
    width: 15px; 
    height: 15px; 
    background-color: #fff; 
    border-radius: 50%; 
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.5);
}
.circle6{
    border: 3px solid #fff;
    rotate: 120deg;
    width: 0px;
    height: 80px;
    transform: translate(35vh, 21vh);
}
.circle6::before {
    content: '';
    position: absolute;
    top: 10vh;
    left: -8px; 
    width: 15px; 
    height: 15px; 
    background-color: #fff; 
    border-radius: 50%; 
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.5);
}
.circle7{
    border: 3px solid #fff;
    rotate: 155deg;
    width: 0px;
    height: 80px;
    transform: translate(58vh, -6vh);
}
.circle7::before {
    content: '';
    position: absolute;
    top: 9.5vh;
    left: -7px;
    width: 15px; 
    height: 15px; 
    background-color: #fff; 
    border-radius: 50%; 
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.5);
}
.circle8{
    border: 3px solid #fff;
    rotate: 180deg;
    width: 0px;
    height: 180px;
    transform: translate(63vh, -39vh);
}
.circle8::before {
    content: '';
    position: absolute;
    top: 22.8vh;
    left: -7px;
    width: 15px; 
    height: 15px; 
    background-color: #fff; 
    border-radius: 50%; 
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.5);
}
.circle{
    width: 500px;
    height: 400px;
    rotate: -90deg;
    transform: translate(-19.5rem, -180px);
}
.circle img{
    width: 90rem;
}


/*image*/
.img-thumbnail:hover{
/*background-color: #000;*/
}
.img-fluid {
    max-width: 100%;
    height: auto;
}

/* Optional: Add some margin and border styling */
.img-thumbnail {
    padding: 0;
    border: 1px solid #ddd;
    border-radius: 0.25rem;
    transition: transform 0.3s ease;
}

.img-thumbnail:hover {
    transform: scale(1.05);
}

/* Optional: Ensure proper spacing between rows */
.mb-4 {
    margin-bottom: 1.5rem;
}
/*image end*/

/* Modal Styles */
.modal {
    display: none;
    position: fixed;
    z-index: 9999999!important;
    padding-top: 60px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.8);
}

.modal-content {
    margin: auto;
    display: block;
    width: 100%;
    max-width: 300px;
}

.close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #fff !important;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
    opacity:1 !important;
}

.modal-slider {
    width: 80%;
    max-width: 700px;
    margin: auto;
    position:absolute;
}
.modal-navigation {
    display: flex;
    justify-content: center;
    margin-top: 10px;
}
@media(max-width:1000px){
    .modal-slider{
        /*top:30%;*/
    }
    .modal-navigation {
        position: absolute;
        left: 50%;
        transform: translate(-50%, -0%);
    }
}
.modal-navigation button {
    background-color: #2FB38D;
    color: white;
    border: none;
    padding: 10px 20px;
    margin: 0 10px;
    cursor: pointer;
    border-radius: 5px;
    font-size: 16px;
}

.modal-navigation button:hover {
    background-color: #1a8d69;
}
.slick-dots{
    display:none !important;
}


/*overlay text*/
@media(max-width:1000px){
    .image-container{
        padding: 0px 20px 0px;
    }
}
.image-container {
    position: relative;
    width: 100%;
    height: 100%; /* Ensure the container takes up the space of the image */
}
.img-thumbnail {
    display: block;
    width: 100%;
    height: auto;
    cursor: pointer;
    position: relative; /* Ensure the image is on top */
    /*z-index: 2;*/
}
.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Dark overlay */
    opacity: 0;
    transition: opacity 0.3s ease;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1;
    pointer-events: none; /* This allows clicks to pass through the overlay */
}
.overlay-text {
    color: white;
    font-size: 18px;
    text-align: center;
}
.image-container:hover .overlay {
    opacity: 1;
}







.semi-circle-container .inner-circle-container {
    position: absolute;
    width: 100%;
    height: 100%;
    top: -36%;
    left: 445px;
}



.circle {
    width: 500px;
    height: 400px;
    rotate: -90deg;
    transform: translate(-19.5rem, -180px);
    position: relative;
    top: 137px;
    left: 37px;
}





@media (max-width: 1000px) {
    .nav-buttons {
        position: absolute;
        bottom: 10px;
        left: 36%;
        top: 13rem;
        transform: translateX(60rem);
        display: flex;
        gap: 10px;
        flex-direction: column-reverse;
        justify-content: center;
        align-items: center;
    }
}
